package com.guwan.backend;

import io.jsonwebtoken.security.Keys;
import io.jsonwebtoken.SignatureAlgorithm;

import javax.crypto.SecretKey;

public class JwtExample {
    public static void main(String[] args) {
        // 选择您的 HMAC-SHA 算法
        SignatureAlgorithm algorithm = SignatureAlgorithm.HS256;

        // 使用推荐的密钥生成方法生成密钥
        SecretKey key = Keys.secretKeyFor(algorithm);

        System.out.println("key = " + key);

        SecretKey key2 = Keys.secretKeyFor(SignatureAlgorithm.HS512);
        System.out.println("key2 = " + key2);

        // 现在 key 是一个足够安全的密钥，可以用于 JWT 签名
        // 您可以使用这个密钥来创建和验证 JWT
    }
}