package com.guwan.backend.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("sms_log")
public class SmsLog {
    @TableId(type = IdType.AUTO)
    private Long id;
    
    private String phone;
    
    private String type;
    
    private String content;
    
    private Integer status;
    
    @TableField("error_msg")
    private String errorMsg;
    
    @TableField("created_time")
    private LocalDateTime createdTime;
} 